PictureDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.avid

## Interface PictureDescriptor

- All Superinterfaces:
    AAFFileDescriptor, EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject, PictureDescriptor
  All Known Subinterfaces:
    CDCIDescriptor

      public interface PictureDescriptor
      extends PictureDescriptor

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.model.PictureDescriptor

      `ALPHATRANSPARENCY_DEFAULT, DISPLAYF2OFFSET_DEFAULT, IMAGEALIGNMENTFACTOR_DEFAULT, IMAGEENDOFFSET_DEFAULT, IMAGESTARTOFFSET_DEFAULT, STOREDF2OFFSET_DEFAULT, Uncompressed`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataOffset()`
    `short` | `getFrameIndexByteOrder()`
    `int` | `getFrameSampleSize()`
    `int` | `getImageSize()`
    `int` | `getResolutionID()`
    `void` | `setDataOffset(Integer dataOffset)`
    `void` | `setFrameIndexByteOrder(Short frameIndexByteOrder)`
    `void` | `setFrameSampleSize(Integer frameSampleSize)`
    `void` | `setImageSize(Integer imageSize)`
    `void` | `setResolutionID(Integer resolutionID)`

    - ### Methods inherited from interface tv.amwa.maj.model.PictureDescriptor

      `areDisplayValuesPresent, areSampledValuesPresent, clone, getActiveFormatDescriptor, getAlphaTransparency, getCodingEquations, getColorPrimaries, getDisplayF2Offset, getDisplayHeight, getDisplayView, getDisplayWidth, getDisplayXOffset, getDisplayYOffset, getFieldDominance, getFrameLayout, getImageAlignmentFactor, getImageAspectRatio, getImageEndOffset, getImageStartOffset, getPictureCompression, getSampledHeight, getSampledView, getSampledWidth, getSampledXOffset, getSampledYOffset, getSignalStandard, getStoredF2Offset, getStoredHeight, getStoredView, getStoredWidth, getTransferCharacteristic, getVideoLineMap, getVideoLineMapSize, setActiveFormatDescriptor, setAlphaTransparency, setCodingEquations, setColorPrimaries, setDisplayF2Offset, setDisplayView, setFieldDominance, setFrameLayout, setImageAlignmentFactor, setImageAspectRatio, setImageEndOffset, setImageStartOffset, setPictureCompression, setSampledView, setSignalStandard, setStoredF2Offset, setStoredView, setTransferCharacteristic, setVideoLineMap`

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getDataOffset

          @Int32
          int getDataOffset()
                            throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setDataOffset

          void setDataOffset(@Int32
                             Integer dataOffset)

    - #### getFrameIndexByteOrder

          @UInt16
          short getFrameIndexByteOrder()
                                        throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setFrameIndexByteOrder

          void setFrameIndexByteOrder(@UInt16
                                      Short frameIndexByteOrder)
                               throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getFrameSampleSize

          @Int32
          int getFrameSampleSize()
                                 throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setFrameSampleSize

          void setFrameSampleSize(@Int32
                                  Integer frameSampleSize)

    - #### getImageSize

          @Int32
          int getImageSize()
                           throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setImageSize

          void setImageSize(@Int32
                            Integer imageSize)

    - #### getResolutionID

          @Int32
          int getResolutionID()
                              throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setResolutionID

          void setResolutionID(@Int32
                               Integer resolutionID)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.